Bug 1557297 - Pause/Resume of geo-replication with wrong user specified returns success
Summary: Pause/Resume of geo-replication with wrong user specified returns success
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.4
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Sunny Kumar
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On: 1547446
Blocks: 1503137 1550936
TreeView+ depends on / blocked
 
Reported: 2018-03-16 11:41 UTC by Sunny Kumar
Modified: 2018-12-13 06:42 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.12.2-6
Doc Type: Bug Fix
Doc Text:
Earlier, geo-replication could be paused or resumed with the wrong user. As a result, snapshot creation operation failed. With this fix, while performing pause/resume on geo-replication with other users will show an error message like: Geo-replication session between <USERNAME> and <SLAVE_HOSTNAME> does not exist.
Clone Of: 1547446
Environment:
Last Closed: 2018-09-04 06:44:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:45:42 UTC

Description Sunny Kumar 2018-03-16 11:41:35 UTC
+++ This bug was initially created as a clone of Bug #1547446 +++

Description of problem:
Geo-replication setup with other user then root on slave node,
as described in documentation:
http://docs.gluster.org/en/latest/Administrator%20Guide/Geo%20Replication/
If you run pause or resume on geo-replication with wrong user,
other user then you setup, you will get pause/resume success even
if it does not work.
To make it work again you need to restart glusterd on all nodes.

Version-Release number of selected component (if applicable):
glusterfs 3.12.5 (all packages)

How reproducible:
If geo-replication is setup with user geoaccount, run:
gluster volume geo-replication [volume_name] anotheruser@[main_slave_node]::[volume_name] pause
Returns:
Pausing geo-replication session between [volume_name] & anotheruser@main_slave_node]::[volume_name] has been successful
If you create a snapshot you will get the error that you need to stop geo-replication first.
So geo-replication does not pause

Steps to Reproduce:
1. gluster volume geo-replication [volume_name] anotheruser@[main_slave_node]::[volume_name] pause
2. gluster snapshot create [snap_name] [volume_name]

Actual results:
Geo-replication returns success with exit code 0 even if wrong user or no user (root) is specified at pause/resume when geo-replication user is setup.


Expected results:
Return code != 0 and an error message saying that wrong user is specified

Additional info:
Have not tested with root user for geo-replication and specifying another user at pause/resume

--- Additional comment from Worker Ant on 2018-03-02 04:29:25 EST ---

REVIEW: https://review.gluster.org/19658 (georep : Pause/Resume of geo-replication with wrong user) posted (#1) for review on master by Sunny Kumar

--- Additional comment from Worker Ant on 2018-03-02 05:21:56 EST ---

REVISION POSTED: https://review.gluster.org/19658 (georep : Pause/Resume of geo-replication with wrong user) posted (#2) for review on master by Sunny Kumar

Comment 8 Srijita Mukherjee 2018-09-03 15:11:05 UTC
updated the doc text. Review and confirm its technical accuracy.

Comment 10 errata-xmlrpc 2018-09-04 06:44:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.